import 'package:json_annotation/json_annotation.dart';

part 'chain_asset.g.dart';


@JsonSerializable()
class ChainAssetDTO {
  final String chain;
  final String tokenSymbol;

  const ChainAssetDTO({
    required this.chain,
    required this.tokenSymbol,
  });

  factory ChainAssetDTO.fromJson(Map<String, dynamic> json) => _$ChainAssetDTOFromJson(json);
  Map<String, dynamic> toJson() => _$ChainAssetDTOToJson(this);
}
